Update to use newer framework.
authorJim Meyering <jim@meyering.net>
Fri, 18 Jul 2003 09:48:16 +0000 (09:48 +0000)
committerJim Meyering <jim@meyering.net>
Fri, 18 Jul 2003 09:48:16 +0000 (09:48 +0000)
tests/touch/not-owner

index dc99928cd5568683ff7f614a283a8048224197a4..b053c06d74f14a78ed36238944f7134f5a886019 100755 (executable)
@@ -12,17 +12,17 @@ fi
 PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
 
 pwd=`pwd`
-tmp=fail-diag.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
 
 framework_failure=0
-mkdir $tmp || framework_failure=1
+mkdir -p $tmp || framework_failure=1
 cd $tmp || framework_failure=1
 
 if test $framework_failure = 1; then
-  echo 'failure in testing framework' 1>&2
-  (exit 1); exit
+  echo "$0: failure in testing framework" 1>&2
+  (exit 1); exit 1
 fi
 
 fail=0